<html devsite><head>
    <title>配置显示设置</title>
    <meta name="project_path" value="/_project.yaml"/>
    <meta name="book_path" value="/_book.yaml"/>
  </head>
  <body>
  <!--
      Copyright 2017 The Android Open Source Project

      Licensed under the Apache License, Version 2.0 (the "License");
      you may not use this file except in compliance with the License.
      You may obtain a copy of the License at

          http://www.apache.org/licenses/LICENSE-2.0

      Unless required by applicable law or agreed to in writing, software
      distributed under the License is distributed on an "AS IS" BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
      See the License for the specific language governing permissions and
      limitations under the License.
  -->

<p>本部分将介绍各种 Android 显示设置的 AOSP 实现，其中包括应用快捷方式、圆形启动器图标、勿扰 (DND)、多窗口模式（分屏、自由格式和画中画）、高动态范围 (HDR) 视频、夜间模式和零售演示模式。如需了解详情，请参阅本部分的子页面。</p>

<h2 id="settingshome">“设置主屏幕”增强功能</h2>

<p>在 Android 7.0 及更高版本中，“设置主屏幕”页面因增添了建议的设置和可自定义的状态通知而得到了增强。这些功能可自动实现，并可由设备实现者进行配置。</p>

<p>这些增强功能的源代码位于以下文件中：</p>

<ul>
<li><code>frameworks/base/packages/SettingsLib/src/com/android/settingslib/SuggestionParser.java</code></li>
<li><code>frameworks/base/packages/SettingsLib/src/com/android/settingslib/drawer/TileUtils.java</code></li>
</ul>

</body></html>